import Setting from '@/setting'
let uploadURL = Setting.upload.apiURL

export default {
  // 登录注册
  logins: `management/userInfo/login`,
  save: `management/userInfo/add`,

  // oss文件管理
  fileDeletion: `${uploadURL}/oss/manage/fileDeletion`,
  fileupload: `${uploadURL}/oss/manage/fileupload`,
  getPlayAuth: `${uploadURL}/oss/manage/getPlayAuth`,
  removeMoreVideo: `${uploadURL}/oss/manage/removeMoreVideo`,
  removeVideo: `${uploadURL}/oss/manage/removeVideo`,

  //查询电话是否存在
  queryProvince: `cjEnterprise/province/queryProvince`,
  queryCity: `cjEnterprise/city/queryCity`,
  queryClient: `cjEnterprise/client/list`,
  
  // 个人中心
  userinfoUpdate:`management/userInfo/update`,
  userinfo:`management/userInfo/getUserInfo`,
  getAccount:`management/userInfo/getAccount`,

  // 考试成绩
  getMyAchievement: `user/testPaperRecord/getMyAchievement`,
  answerDetail:`management/paperRecord/answerDetail`,

  // 练习成绩
  practiseAchievement: `/user/testPaperRecord/practiseAchievement`,
  reviewDetail:`/management/practise/review/reviewDetail`,

  // 我的考试
  addGzAnswerDetails: `/user/exam/addGzAnswerDetails`,
  addTestPaperRecord: `/user/exam/addTestPaperRecord`,
  calculationScore: `/user/exam/calculationScore`,
  enterExam: `user/exam/enterExam`,
  queryExam: `/user/exam/queryExam`,
  queryGzAnswerDetails: `/user/exam/queryGzAnswerDetails`,
  coverGzAnswerDetails: `/user/exam/coverGzAnswerDetails`,
  getStateById:`management/monitor/getStateById`,

  // 我的练习
  previewtestPaper:`management/testPaper/preview`,
  addPractiseExamAnswerDetails: `/user/practise/addPractiseExamAnswerDetails`,
  addPractiseRecord: `/user/practise/addPractiseRecord`,
  calculationScorePractice: `/user/practise/calculationScore`,
  enterPractise: `/user/practise/enterPractise`,
  getMinePractise: `/user/practise/getMinePractise`,

  // 随机练习
  pageRandomPracticeList:`/user/randomPractice/pageRandomPracticeList`,
  randomPractice: `/user/randomPractice/randomPractice`,
  AddRandomPractiseExamAnswerDetail: `/user/randomPractice/AddRandomPractiseExamAnswerDetail`,
  addPractiseRecordRandom: `/user/randomPractice/addPractiseRecord`,
  previewPaper:`/management/testPaper/previewPaper`,

  // 错题本
  typesList:`cjEnterprise/questionTypes/typesList`,
  getMineWrong:`/user/wrong/getMineWrong`,
  getPaperInfo: `/user/wrong/getPaperInfo`,
  questionInfo: `/user/wrong/questionInfo`,
  removes: `/user/wrong/removes`,

  // 留言板
  delComment:`/management/messageBoard/delComment`,
  delReply:`/management/messageBoard/delReply`,
  delMessageBoard:`/management/messageBoard/delMessageBoard`,
  queryMessageBoard:`/management/messageBoard/queryMessageBoard`,
  queryMessageBoardDetail:`/management/messageBoard/queryMessageBoardDetail`,
  saveComment:`/management/messageBoard/saveComment`,
  saveMessageBoard:`/management/messageBoard/saveMessageBoard`,
  saveReply:`/management/messageBoard/saveReply`,

  // 首页
  waitReply:`/management/index/waitReply`,
  waitReplyDel:`/management/index/waitReplyDel`,
  waitExam:`/user/index/waitExam`,
}