import BasicLayout from '@/layouts/home';

const meta = {};

const pre = 'achievement-';

export default {
    path: '/achievement',
    name: 'achievement',
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}list`,
            path: `list`,
            component: () => import('@/pages/achievement/list'),
            meta: { title: '我的成绩' }
        },
        {
            name: `${pre}assessment`,
            path: `assessment`,
            component: () => import('@/pages/achievement/assessment'),
            meta: { title: '答题详情' }
        },
        {
            name: `${pre}practice`,
            path: `practice`,
            component: () => import('@/pages/achievement/practice'),
            meta: { title: '答题详情' }
        },
    ]
};
