import BasicLayout from '@/layouts/home';

const meta = {};

const pre = 'exam-';

export default {
    path: '/exam',
    name: 'exam',
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}list`,
            path: `list`,
            component: () => import('@/pages/exam/list'),
            meta: { title: '我的考试' }
        },{
            name: `${pre}do`,
            path: `do`,
            component: () => import('@/pages/exam/do'),
            meta: { title: '我的考试' }
        },{
            name: `${pre}detail`,
            path: `detail`,
            component: () => import('@/pages/exam/detail'),
            meta: { title: '成绩查询' }
        },
    ]
};
