import BasicLayout from '@/layouts/home';

const meta = {};

const pre = 'wrongBook-';

export default {
    path: '/wrongBook',
    name: 'wrongBook',
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}list`,
            path: `list`,
            component: () => import('@/pages/wrongBook/list'),
            meta: { title: '我的错题本' }
        },{
            name: `${pre}do`,
            path: `do`,
            component: () => import('@/pages/wrongBook/do'),
            meta: { title: '错题练习' }
        },
    ]
};
