import BasicLayout from '@/layouts/home';

const meta = {};

const pre = 'practice-';

export default {
    path: '/practice',
    name: 'practice',
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}list`,
            path: `list`,
            component: () => import('@/pages/practice/list'),
            meta: { title: '我的练习' }
        },{
            name: `${pre}do`,
            path: `do`,
            component: () => import('@/pages/practice/do'),
            meta: { title: '我的练习' }
        },{
            name: `${pre}randomDo`,
            path: `randomDo`,
            component: () => import('@/pages/practice/randomDo'),
            meta: { title: '随机练习' }
        },
    ]
};
