import router from './index';
import Setting from '@/setting';
import util from '@/libs/util';

router.beforeEach((to, from, next) => {
    document.title = Setting.titleSuffix;
    const role = util.session.get(Setting.usernameKey);
    if (!role && to.path !== '/login') {
        next('/login')
        // if(to.fullPath == '/'){
        //     next('/login')
        // }else{
        //     next({
        //         path: '/login',
        //         query: {redirect: to.fullPath}
        //     })
        // }
    } else if(role && to.path == '/login') {
        next('/index')
    } else {
        next()
    }
});